Bug 841896 - JDBC cache store should quote generated table name
JDBC cache store should quote generated table name
Status: VERIFIED
Product: JBoss Data Grid 6
Classification: JBoss
Component: Infinispan (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity unspecified
: ER1
: 6.0.1
Assigned To: Tristan Tarrant
Martin Gencur
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-20 09:51 EDT by Tristan Tarrant
Modified: 2013-10-06 20:24 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
In JBoss Data Grid 6.0.0 the JDBC cache store would not enclose generated table names within quotes, which caused problems when attempting to use special characters. This has now been resolved, and table names are quoted.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
5.1.5 stacktrace (30.73 KB, text/plain)
2012-07-26 08:58 EDT, Martin Gencur
no flags Details
5.1.6 Stacktrace (12.10 KB, text/plain)
2012-07-26 08:59 EDT, Martin Gencur
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker ISPN-2155 Major Resolved JDBC cache store should quote generated table name 2013-07-03 07:31:03 EDT

  None (edit)
Description Tristan Tarrant 2012-07-20 09:51:37 EDT

    
Comment 1 JBoss JIRA Server 2012-07-24 09:22:56 EDT
Galder Zamarreño <galder.zamarreno@redhat.com> made a comment on jira ISPN-2155

@Paul, it will be fixed for 5.1.x, we're marking them as 'jdg' and 'jdg6' tags, so Tristan will come and triage those issues marked with the tag and cherry pick them.
Comment 2 Martin Gencur 2012-07-26 08:58:25 EDT
This does not work fully correctly yet. I changed one of our tests to have TABLE_NAME_PREFIX = "edg/bin". With 5.1.5.FINAL-redhat-1  the test failed on creating the table. With 5.1.6.FINAL-redhat.-1 it fails on storing the data into the table. Attaching stacktraces for both 5.1.5 and 5.1.6.
Comment 3 Martin Gencur 2012-07-26 08:58:57 EDT
Created attachment 600503 [details]
5.1.5 stacktrace
Comment 4 Martin Gencur 2012-07-26 08:59:20 EDT
Created attachment 600504 [details]
5.1.6 Stacktrace
Comment 5 Martin Gencur 2012-07-26 09:08:30 EDT
I'm sorry, my bad. This was a problem in our tests. Verified.

Note You need to log in before you can comment on or make changes to this bug.